## com.baidubce.services.bmr.model
Class PigStepConfig

    java.lang.Object
      com.baidubce.services.bmr.model.StepConfig
          com.baidubce.services.bmr.model.PigStepConfig

    public class PigStepConfig

extends StepConfig

Represent configuration for a pig step. A pig step can be configured with name, actionOnFailure, script, input, output and arguments. The essential options are script and actionOnFailure, and the optional ones are name, input, output and arguments.

Constructor Summary
`PigStepConfig()`

Method Summary
`PigStepConfig` `withActionOnFailure(String actionOnFailure)` Configure the action on failure for the pig step.
`PigStepConfig` `withArguments(String arguments)` Configure the arguments of the pig step.
`PigStepConfig` `withInput(String input)` Configure the input path of the pig step.
`PigStepConfig` `withName(String name)` Configure the name of the pig step.
`PigStepConfig` `withOutput(String output)` Configure the output path of the pig step.
`PigStepConfig` `withScript(String script)` Configure the script path of the pig step.

Methods inherited from class com.baidubce.services.bmr.model.StepConfig
`addProperty, getActionOnFailure, getName, getProperties, getType, setActionOnFailure, setName, setProperties, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PigStepConfig

    public PigStepConfig()

Method Detail

### withInput

    public PigStepConfig withInput(String input)

  Configure the input path of the pig step.

  Parameters:
    `input` - The input path of the pig step.
  Returns:
    PigStepConfig

### withScript

    public PigStepConfig withScript(String script)

  Configure the script path of the pig step.

  Parameters:
    `script` - The script path of the pig step.
  Returns:
    PigStepConfig

### withOutput

    public PigStepConfig withOutput(String output)

  Configure the output path of the pig step.

  Parameters:
    `output` - The output path of the pig step.
  Returns:
    PigStepConfig

### withArguments

    public PigStepConfig withArguments(String arguments)

  Configure the arguments of the pig step.

  Parameters:
    `arguments` - The arguments of the pig step.
  Returns:
    PigStepConfig

### withName

    public PigStepConfig withName(String name)

  Configure the name of the pig step.

  Parameters:
    `name` - The name of the pig step.
  Returns:
    PigStepConfig

### withActionOnFailure

    public PigStepConfig withActionOnFailure(String actionOnFailure)

  Configure the action on failure for the pig step. This property is set to enum value: "Continue": continue to execute other steps. "TerminateCluster": terminate the cluster when this step fails. "CancelAndWait": cancel the other pending steps and set the cluster's status to WAITING.

  Parameters:
    `actionOnFailure` - The action on step's failure.
  Returns:
    PigStepConfig

Copyright © 2016. All rights reserved.